# eval - Neırssi 1.3 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

# eval

## Syntax

    EVAL <command(s)>

## Parameters

The commands to evaluate.

## Description

Evaluates the given commands and executes them; you can use internal variables and separate multiple commands by using the ‘;’ character. If the command contains a string with ‘$’, ‘’ or ‘;’ those characters need to be escaped: ‘$’ -> ‘$$’ ‘’ -> ‘' (or even ‘\’, depending on where they are used) ‘;’ -> ‘;’

## Examples

    /EVAL echo I am connected to ${S} on ${chatnet} as ${N}
    /EVAL echo My user privileges are +${usermode}; echo Let's party!

to print ‘1;2$3\4’: /EVAL echo 1;2$$3\4

## References

https://github.com/irssi/irssi/blob/master/docs/special_vars.txt

## See also

CAT, CD, ECHO, EXEC